<?php
header('Content-Type: application/json;charset= utf-8');
ini_set('memory_limit','5024M');
set_time_limit(0);
require("../../dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
mysqli_set_charset($con,"utf8");
if(!$con){exit;}
$res = array();
$sql = "SELECT astext(SHAPE) AS geom, id, id_captacion, id_tramo, tipo, (SELECT codigo FROM adm_tipos WHERE id = cat_conex_capt.tipo LIMIT 1) as desctipo,";
$sql .= " longitud, material, seccion, profundidad,";
$sql .= " estado, accion, alta_fuente,alta_fecha, comentarios, etapa,";
$sql .= " contrato, (SELECT nombre FROM adm_contratos WHERE id = cat_conex_capt.contrato LIMIT 1) as desccon,";
$sql .= " proyecto, (SELECT nombre FROM adm_proyectos WHERE id = cat_conex_capt.proyecto LIMIT 1) as descpro";
$sql .= " FROM cat_conex_capt WHERE activo = 1";
if($_SERVER['REQUEST_METHOD'] == 'GET')
{
	if(isset($_GET["filtro"]))
	{
		if ($_GET["filtro"] == 1)
		{
		$sql .= " AND  (etapa = 'Proyectado' OR etapa = 'En construccion')";
		}
	}
}
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
			$elem = array( 
				'geom' => $row["geom"],
                'id' => $row["id"],
                'id_captacion' => $row["id_captacion"],
				'id_tramo' => $row["id_tramo"],
				'tipo' => $row["tipo"],
				'desctipo' => $row["desctipo"],
				'longitud' => $row["longitud"],
				'material' => $row["material"],
				'seccion' => $row["seccion"],
				'profundidad' => $row["profundidad"],
				'estado' => $row["estado"],
				'accion' => $row["accion"],
				'alta_fuente' => $row["alta_fuente"],
				'alta_fecha' => $row["alta_fecha"],
				'comentarios' => $row["comentarios"],
				'etapa' => $row["etapa"],
				'contrato' => $row["contrato"],
				'desccon' => $row["desccon"],
				'proyecto' => $row["proyecto"],
				'descpro' => $row["descpro"]
				);
				array_push($res,$elem);
		}
	}
}

echo json_encode($res, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES | JSON_NUMERIC_CHECK);
?>

